cd_tree_s Struct Reference

## Data Fields

int16 | ctx
| Context (word position or CI phone)
int16 | n_down
| Number of children (0 for leafnode)
union { |
int32 pid |
| Phone ID (leafnode) More...
int32 down |
| Next level of the tree (offset from start of cd_trees) More...
} | c |

## Detailed Description

Definition at line 104 of file bin_mdef.h.

## Field Documentation

## ctx

int16 cd_tree_s::ctx

Context (word position or CI phone)

Definition at line 105 of file bin_mdef.h.

Referenced by bin_mdef_phone_id(), bin_mdef_read(), and bin_mdef_read_text().

## down

int32 cd_tree_s::down

Next level of the tree (offset from start of cd_trees)

Definition at line 109 of file bin_mdef.h.

Referenced by bin_mdef_phone_id(), bin_mdef_read(), and bin_mdef_read_text().

## n_down

int16 cd_tree_s::n_down

Number of children (0 for leafnode)

Definition at line 106 of file bin_mdef.h.

Referenced by bin_mdef_phone_id(), bin_mdef_read(), and bin_mdef_read_text().

## pid

int32 cd_tree_s::pid

Phone ID (leafnode)

Definition at line 108 of file bin_mdef.h.

Referenced by bin_mdef_phone_id(), and bin_mdef_read_text().

The documentation for this struct was generated from the following file:

- src/libpocketsphinx/bin_mdef.h